<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CTPath2D (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CTPath2D (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CTPath2D.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/sl/draw/binding/CTOfficeArtExtensionList.html"
               title="class in org.apache.poi.sl.draw.binding"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DArcTo.html"
               title="class in org.apache.poi.sl.draw.binding"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/draw/binding/CTPath2D.html" target="_top">Frames</a>
        </li>
        <li><a href="CTPath2D.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.draw.binding</div>
    <h2 title="Class CTPath2D" class="title">Class CTPath2D</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.sl.draw.binding.CTPath2D</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">CTPath2D</span>
extends java.lang.Object</pre>
                <div class="block"><p>Java class for CT_Path2D complex type.

                    <p>The following schema fragment specifies the expected content contained within this class.

                    <pre>
 &lt;complexType name="CT_Path2D"&gt;
   &lt;complexContent&gt;
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
       &lt;choice maxOccurs="unbounded" minOccurs="0"&gt;
         &lt;element name="close" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DClose"/&gt;
         &lt;element name="moveTo" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DMoveTo"/&gt;
         &lt;element name="lnTo" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DLineTo"/&gt;
         &lt;element name="arcTo" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DArcTo"/&gt;
         &lt;element name="quadBezTo" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DQuadBezierTo"/&gt;
         &lt;element name="cubicBezTo" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DCubicBezierTo"/&gt;
       &lt;/choice&gt;
       &lt;attribute name="w" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_PositiveCoordinate" default="0" /&gt;
       &lt;attribute name="h" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_PositiveCoordinate" default="0" /&gt;
       &lt;attribute name="fill" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_PathFillMode" default="norm" /&gt;
       &lt;attribute name="stroke" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" /&gt;
       &lt;attribute name="extrusionOk" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" /&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected java.util.List&lt;java.lang.Object&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#closeOrMoveToOrLnTo">closeOrMoveToOrLnTo</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected java.lang.Boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#extrusionOk">extrusionOk</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STPathFillMode.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STPathFillMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#fill">fill</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected java.lang.Long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#h">h</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected java.lang.Boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#stroke">stroke</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected java.lang.Long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#w">w</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#CTPath2D--">CTPath2D</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;java.lang.Object&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#getCloseOrMoveToOrLnTo--">getCloseOrMoveToOrLnTo</a></span>()</code>
                                    <div class="block">Gets the value of the closeOrMoveToOrLnTo property.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STPathFillMode.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STPathFillMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#getFill--">getFill</a></span>()</code>
                                    <div class="block">Gets the value of the fill property.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#getH--">getH</a></span>()</code>
                                    <div class="block">Gets the value of the h property.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#getW--">getW</a></span>()</code>
                                    <div class="block">Gets the value of the w property.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#isExtrusionOk--">isExtrusionOk</a></span>()</code>
                                    <div class="block">Gets the value of the extrusionOk property.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#isSetCloseOrMoveToOrLnTo--">isSetCloseOrMoveToOrLnTo</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#isSetExtrusionOk--">isSetExtrusionOk</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#isSetFill--">isSetFill</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#isSetH--">isSetH</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#isSetStroke--">isSetStroke</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#isSetW--">isSetW</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#isStroke--">isStroke</a></span>()</code>
                                    <div class="block">Gets the value of the stroke property.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#setExtrusionOk-boolean-">setExtrusionOk</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the value of the extrusionOk property.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#setFill-org.apache.poi.sl.draw.binding.STPathFillMode-">setFill</a></span>(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STPathFillMode.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STPathFillMode</a>&nbsp;value)</code>
                                    <div class="block">Sets the value of the fill property.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#setH-long-">setH</a></span>(long&nbsp;value)</code>
                                    <div class="block">Sets the value of the h property.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#setStroke-boolean-">setStroke</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the value of the stroke property.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#setW-long-">setW</a></span>(long&nbsp;value)</code>
                                    <div class="block">Sets the value of the w property.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#unsetCloseOrMoveToOrLnTo--">unsetCloseOrMoveToOrLnTo</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#unsetExtrusionOk--">unsetExtrusionOk</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#unsetH--">unsetH</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#unsetStroke--">unsetStroke</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2D.html#unsetW--">unsetW</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="closeOrMoveToOrLnTo">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>closeOrMoveToOrLnTo</h4>
                                <pre>protected&nbsp;java.util.List&lt;java.lang.Object&gt; closeOrMoveToOrLnTo</pre>
                            </li>
                        </ul>
                        <a name="w">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>w</h4>
                                <pre>protected&nbsp;java.lang.Long w</pre>
                            </li>
                        </ul>
                        <a name="h">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>h</h4>
                                <pre>protected&nbsp;java.lang.Long h</pre>
                            </li>
                        </ul>
                        <a name="fill">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fill</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STPathFillMode.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STPathFillMode</a> fill</pre>
                            </li>
                        </ul>
                        <a name="stroke">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>stroke</h4>
                                <pre>protected&nbsp;java.lang.Boolean stroke</pre>
                            </li>
                        </ul>
                        <a name="extrusionOk">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>extrusionOk</h4>
                                <pre>protected&nbsp;java.lang.Boolean extrusionOk</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="CTPath2D--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CTPath2D</h4>
                                <pre>public&nbsp;CTPath2D()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCloseOrMoveToOrLnTo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCloseOrMoveToOrLnTo</h4>
                                <pre>public&nbsp;java.util.List&lt;java.lang.Object&gt;&nbsp;getCloseOrMoveToOrLnTo()</pre>
                                <div class="block">Gets the value of the closeOrMoveToOrLnTo property.

                                    <p>
                                        This accessor method returns a reference to the live list,
                                        not a snapshot. Therefore any modification you make to the
                                        returned list will be present inside the JAXB object.
                                        This is why there is not a <CODE>set</CODE> method for the closeOrMoveToOrLnTo
                                        property.

                                    <p>
                                        For example, to add a new item, do as follows:
                                    <pre>
    getCloseOrMoveToOrLnTo().add(newItem);
 </pre>


                                    <p>
                                        Objects of the following type(s) are allowed in the list
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DClose.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTPath2DClose</code></a>
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DMoveTo.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTPath2DMoveTo</code></a>
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DLineTo.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTPath2DLineTo</code></a>
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DArcTo.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTPath2DArcTo</code></a>
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DQuadBezierTo.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTPath2DQuadBezierTo</code></a>
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DCubicBezierTo.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTPath2DCubicBezierTo</code></a>
                                </div>
                            </li>
                        </ul>
                        <a name="isSetCloseOrMoveToOrLnTo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetCloseOrMoveToOrLnTo</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetCloseOrMoveToOrLnTo()</pre>
                            </li>
                        </ul>
                        <a name="unsetCloseOrMoveToOrLnTo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>unsetCloseOrMoveToOrLnTo</h4>
                                <pre>public&nbsp;void&nbsp;unsetCloseOrMoveToOrLnTo()</pre>
                            </li>
                        </ul>
                        <a name="getW--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getW</h4>
                                <pre>public&nbsp;long&nbsp;getW()</pre>
                                <div class="block">Gets the value of the w property.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>possible object is
                                        <code>Long</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setW-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setW</h4>
                                <pre>public&nbsp;void&nbsp;setW(long&nbsp;value)</pre>
                                <div class="block">Sets the value of the w property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - allowed object is
                                        <code>Long</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetW--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetW</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetW()</pre>
                            </li>
                        </ul>
                        <a name="unsetW--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>unsetW</h4>
                                <pre>public&nbsp;void&nbsp;unsetW()</pre>
                            </li>
                        </ul>
                        <a name="getH--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getH</h4>
                                <pre>public&nbsp;long&nbsp;getH()</pre>
                                <div class="block">Gets the value of the h property.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>possible object is
                                        <code>Long</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setH-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setH</h4>
                                <pre>public&nbsp;void&nbsp;setH(long&nbsp;value)</pre>
                                <div class="block">Sets the value of the h property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - allowed object is
                                        <code>Long</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetH--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetH</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetH()</pre>
                            </li>
                        </ul>
                        <a name="unsetH--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>unsetH</h4>
                                <pre>public&nbsp;void&nbsp;unsetH()</pre>
                            </li>
                        </ul>
                        <a name="getFill--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFill</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STPathFillMode.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STPathFillMode</a>&nbsp;getFill()</pre>
                                <div class="block">Gets the value of the fill property.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>possible object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/STPathFillMode.html"
                                           title="enum in org.apache.poi.sl.draw.binding"><code>STPathFillMode</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFill-org.apache.poi.sl.draw.binding.STPathFillMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFill</h4>
                                <pre>public&nbsp;void&nbsp;setFill(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/STPathFillMode.html"
                                        title="enum in org.apache.poi.sl.draw.binding">STPathFillMode</a>&nbsp;value)</pre>
                                <div class="block">Sets the value of the fill property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - allowed object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/STPathFillMode.html"
                                           title="enum in org.apache.poi.sl.draw.binding"><code>STPathFillMode</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetFill--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetFill</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetFill()</pre>
                            </li>
                        </ul>
                        <a name="isStroke--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isStroke</h4>
                                <pre>public&nbsp;boolean&nbsp;isStroke()</pre>
                                <div class="block">Gets the value of the stroke property.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>possible object is
                                        <code>Boolean</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setStroke-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStroke</h4>
                                <pre>public&nbsp;void&nbsp;setStroke(boolean&nbsp;value)</pre>
                                <div class="block">Sets the value of the stroke property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - allowed object is
                                        <code>Boolean</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetStroke--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetStroke</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetStroke()</pre>
                            </li>
                        </ul>
                        <a name="unsetStroke--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>unsetStroke</h4>
                                <pre>public&nbsp;void&nbsp;unsetStroke()</pre>
                            </li>
                        </ul>
                        <a name="isExtrusionOk--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isExtrusionOk</h4>
                                <pre>public&nbsp;boolean&nbsp;isExtrusionOk()</pre>
                                <div class="block">Gets the value of the extrusionOk property.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>possible object is
                                        <code>Boolean</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setExtrusionOk-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setExtrusionOk</h4>
                                <pre>public&nbsp;void&nbsp;setExtrusionOk(boolean&nbsp;value)</pre>
                                <div class="block">Sets the value of the extrusionOk property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - allowed object is
                                        <code>Boolean</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetExtrusionOk--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetExtrusionOk</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetExtrusionOk()</pre>
                            </li>
                        </ul>
                        <a name="unsetExtrusionOk--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>unsetExtrusionOk</h4>
                                <pre>public&nbsp;void&nbsp;unsetExtrusionOk()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CTPath2D.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/sl/draw/binding/CTOfficeArtExtensionList.html"
               title="class in org.apache.poi.sl.draw.binding"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DArcTo.html"
               title="class in org.apache.poi.sl.draw.binding"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/draw/binding/CTPath2D.html" target="_top">Frames</a>
        </li>
        <li><a href="CTPath2D.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
